#!/bin/sh
#
# This scripts installs the AD1816(A) audio driver in BeOS Intel R4.
#

answer=`alert "Do you really want to install the AD1816(A) driver?" "No" "Yes"`
if [ $answer == "No" ]; then
	exit
fi

/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/bin/
/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/dev/audio/raw/
/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/dev/audio/old/
/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/dev/audio/mix/
/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/dev/audio/mux/
/boot/beos/bin/install -d ~/config/add-ons/kernel/drivers/dev/midi/
/boot/beos/bin/install `dirname $0`/ad1816 ~/config/add-ons/kernel/drivers/bin/

mimeset ~/config/add-ons/kernel/drivers/bin/ad1816

ln -sf ../../../bin/ad1816 ~/config/add-ons/kernel/drivers/dev/audio/raw/ad1816
ln -sf ../../../bin/ad1816 ~/config/add-ons/kernel/drivers/dev/audio/old/ad1816
ln -sf ../../../bin/ad1816 ~/config/add-ons/kernel/drivers/dev/audio/mix/ad1816
ln -sf ../../../bin/ad1816 ~/config/add-ons/kernel/drivers/dev/audio/mux/ad1816
ln -sf ../../bin/ad1816 ~/config/add-ons/kernel/drivers/dev/midi/ad1816

alert "The AD1816(A) driver is installed in your system.

Restart your system to activate the driver."
